## sdlbasic 0.0.20070714

=== debian/changelog ===
sdlbasic (0.0.20070714-4) unstable; urgency=low

  * Team upload.
  * Run wrap-and-sort -sa
  * Add missing build-dep on libtiff-dev (Closes: #662937)
  * Switch from plain quilt to dpkg-source v3
  * Clean up the patches and add DEP-3 headers
  * Point copyright file at the right GPL version
  * Drop shlibs dep on -dbg package, not needed
  * Drop buildinfo, not useful these days
  * Switch to debhelper compat 9 and dh
  * Depend only on the ttf-dejavu-core package
  * Bump Standards-Version

 -- Paul Wise <pabs@debian.org>  Sun, 11 Mar 2012 17:05:15 +0800

sdlbasic (0.0.20070714-3) unstable; urgency=low

  [ Barry deFreese ]
  * bison_code.patch - Fix syntax with sdlBrt_tab.y.
    + Fixes FTBFS with newer Bison.
  * Add Section: debug to sdlbasic-dbg package.
  * Minor syntax fixes in debian/copyright.
  * Add watch file.
  * Bump Standards Version to 3.8.1. (No changes needed).

  [ Evgeni Golov ]
  * datadir.patch:
    + Fix path to help in Global.properties. (LP: #372185)
    + Obsolete properties.patch by correctly patching call of sdlBrt.
  * x-www-browser.patch:
    + Call x-www-browser instead of firefox, users might want another browser.
  * quickhelp.patch:
    + Fix the command for the Quick Help.
  * debian/control:
    + Update the homepage URL.

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 07 May 2009 00:07:30 +0200

sdlbasic (0.0.20070714-2) unstable; urgency=low

  * Fixed /etc/sdlbasic/sdlBasic.properties
  * Fixed sdlbasic.sng so that it generates a non-null sdlbasic.png image

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 15 Nov 2008 17:14:52 +0100

sdlbasic (0.0.20070714-1) unstable; urgency=low

  * Initial release (Closes: #498762)

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 13 Sep 2008 03:47:40 +0200
