=== debian/control ===
Source: sdlbasic
Section: devel
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <little_miry@yahoo.es>
Build-Depends:
 bison,
 debhelper (>= 9),
 libasound2-dev,
 libglib2.0-dev,
 libgtk2.0-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-net1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev,
 libsmpeg-dev,
 libtiff-dev,
 sng
Standards-Version: 3.9.3
Homepage: http://sdlbasic.altervista.org/main/index.php
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/sdlbasic/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/sdlbasic/?op=log

Package: sdlbrt
Section: interpreters
Architecture: any
Depends:
 ttf-dejavu-core,
 ${misc:Depends},
 ${shlibs:Depends}
Description: BASIC interpreter for game development - runtime interpreter
 sdlBasic is a small, efficient and multiplatform BASIC interpreter for
 creating games using the power of SDL library. It was inspired by the old
 and glorious AMOS.
 .
 This package includes sdlBasic runtime interpreter.

Package: sdlbasic
Architecture: any
Depends:
 sdlbrt (= ${binary:Version}),
 ttf-dejavu-core,
 ${misc:Depends},
 ${shlibs:Depends}
Description: BASIC interpreter for game development
 sdlBasic is a small, efficient and multiplatform BASIC interpreter for
 creating games using the power of SDL library. It was inspired by the old
 and glorious AMOS.

Package: sdlbasic-dbg
Section: debug
Architecture: any
Depends:
 sdlbasic (= ${binary:Version}),
 ${misc:Depends}
Description: BASIC interpreter for game development - debug symbols
 sdlBasic is a small, efficient and multiplatform BASIC interpreter for
 creating games using the power of SDL library. It was inspired by the old
 and glorious AMOS.
 .
 This package includes the symbols for debugging sdlBasic.
