=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --parallel

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

LDFLAGS=-Wl,--as-needed -Wl,-z,defs -Wl,--no-undefined

DESTDIR=$(CURDIR)/debian/tmp

DESTBIN=/usr/bin
DESTDOC=/usr/share/doc/sdlbasic
DESTDATA=/usr/share/sdlbasic
DESTPLUGINS=$(DESTDATA)/plugins

ORIGSRC=$(CURDIR)/src/sdlBasic/src
ORIGDATA=$(CURDIR)/src/sdlBasic/share

XFLAGS= \
	os=linux \
	prefix="/usr" \
	bindir="$(DESTBIN)" \
	exec_prefix="$(DESTBIN)" \
	datadir="$(DESTDATA)" \
	font_prefix="/usr/share/fonts/truetype" \
	SYSCONF_PATH="/etc/sdlbasic" \
	DOC_PATH="$(DESTDOC)" \
	PLUGINS_PATH="$(DESTPLUGINS)" \
	stripped=no

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	XFLAGS += DEBUG=yes
endif

override_dh_auto_configure:
	chmod -x src/sdlBasic/share/sdlBasic/*.*
	sng debian/*.sng

override_dh_auto_build:
	cd "$(ORIGSRC)/sdlBrt/" && sh bison_build.sh
	$(MAKE) -C "$(ORIGSRC)/sdlBasic/scintilla/gtk" $(XFLAGS) LDFLAGS="$(LDFLAGS)"
	$(MAKE) -C "$(ORIGSRC)/sdlBasic/gtk" $(XFLAGS) LDFLAGS="$(LDFLAGS)"
	$(MAKE) -C "$(ORIGSRC)/sdlBrt/unzip" $(XFLAGS) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	$(MAKE) -C "$(ORIGSRC)/sdlBrt/SDLengine" $(XFLAGS) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	$(MAKE) -C "$(ORIGSRC)/sdlBrt/BASengine" $(XFLAGS) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	$(MAKE) -C "$(ORIGSRC)/sdlBrt" $(XFLAGS) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	rm -f "$(ORIGSRC)/sdlBrt/y_tab.c"
	$(MAKE) -C "$(ORIGSRC)/sdlBasic/scintilla/gtk" $(XFLAGS) clean
	$(MAKE) -C "$(ORIGSRC)/sdlBasic/gtk" $(XFLAGS) clean
	$(MAKE) -C "$(ORIGSRC)/sdlBrt" $(XFLAGS) clean RM="$(RM) -f"
	$(MAKE) -C "$(ORIGSRC)/sdlBrt/SDLengine" $(XFLAGS) clean RM="$(RM) -f"
	$(MAKE) -C "$(ORIGSRC)/sdlBrt/BASengine" $(XFLAGS) clean RM="$(RM) -f"
	$(MAKE) -C "$(ORIGSRC)/sdlBrt/unzip" $(XFLAGS) clean RM="$(RM) -f"
	rm -f debian/*.png

override_dh_auto_install:
	$(MAKE) -C $(ORIGSRC)/sdlBasic/gtk $(XFLAGS) install DESTDIR="$(DESTDIR)"
	$(MAKE) -C $(ORIGSRC)/sdlBrt $(XFLAGS) install-bin DESTDIR="$(DESTDIR)"

	mkdir -p "$(DESTDIR)$(DESTDOC)"
	cp -r "$(ORIGDATA)"/doc/sdlBasic/* "$(DESTDIR)$(DESTDOC)"
	mkdir -p "$(DESTDIR)$(DESTDATA)"
	cp -r "$(ORIGDATA)"/sdlBasic/* "$(DESTDIR)$(DESTDATA)"

	rm -f `find "$(DESTDIR)$(DESTDOC)" -name sdlBasic_IDE_License.txt`
	rm -f `find "$(DESTDIR)$(DESTDOC)" -name font-license`

override_dh_strip:
	dh_strip --dbg-package=sdlbasic-dbg
