=== debian/watch ===
version=3

opts="uversionmangle=s/(\d*)\.(\d*)\.(\d*)/0\.0\.$1$2$3/" \
http://sf.net/sdlbasic/sdlBasic-src-([\d.]+)\.tgz
